import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Dolphin here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Dolphin extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int level;   
    /**
     * Act - do whatever the Dolphin wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
        //checkNextLevel(); //Ms. McGee: this was commented out but I thought I should work with this method.

    }    

    public void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-5);
        }
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+5);
        }
        if (Greenfoot.isKeyDown("left")) 
        {
            setImage(image1);
            setLocation(getX()-5, getY());
        }
        if (Greenfoot.isKeyDown("right")) 
        {
            setImage(image2);
            setLocation(getX()+5, getY());
        }
        if (Greenfoot.isKeyDown("space")) 
        {
            turn (60);
        }
    }

    public Dolphin()
    {
        image1 =  new GreenfootImage ("dolphin.png");
        image2= new GreenfootImage ("dolphinR.png");
        setImage (image2);  
        level = 1;
    }

    private void checkCollision()
    {
        if (isTouching(GrayFish.class)) 
        {
            Greenfoot.playSound("bite2.wav");
            removeTouching(GrayFish.class);
            Level1 level1 = (Level1)getWorld();
            level1.addScore(20);
            level1.addHunger(50);
            
        }
        
           if (isTouching(Goldfish.class)) 
        {
            Greenfoot.playSound("bite2.wav");
            removeTouching(Goldfish.class);
            Level1 level1 = (Level1)getWorld();
            level1.addScore(50);
            level1.addHunger(75);
        }

        if (isTouching(Shark.class)) 
        {
            Greenfoot.playSound ("bite.wav");
            Level1 level1 = (Level1)getWorld();
            level1.addScore(-50);
            removeTouching(Shark.class);
            Greenfoot.setWorld(new Level2());
        }

        if (isTouching(Hoop.class)) // Ms. McGee: from what I see there method will never run because the Hoop class does not appear in the Level1 world.
        {
            Greenfoot.playSound("ping2.wav"); //insert another sound
            removeTouching(Hoop.class);
            // Level2 level2 = (Level2)getWorld();
            // level2.addScore(20);

        }
    }

    
}

